bowtie (1.3.0+dfsg1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Really fix arch all build

  [ Étienne Mollier ]
  * Excluded third_party/
    Closes: #972004
  * Reviewed debian/patches/popcnt_capability.patch

 -- Andreas Tille <tille@debian.org>  Tue, 13 Oct 2020 13:16:39 +0200

bowtie (1.3.0+dfsg-3) unstable; urgency=medium

  * Fix arch all build
  * Set POPCNT_CAPABILITY=0 for more architectures than just aarch64
    Closes: #972004

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 16:51:00 +0200

bowtie (1.3.0+dfsg-2) unstable; urgency=medium

  * Install usr/local/bin only if existing
    Closes: #972004

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 09:10:57 +0200

bowtie (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version (upstream has adopted several patches)
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop seqan-dev from Build-Depends
  * Point dh_install to binaries available in usr/local/bin

 -- Andreas Tille <tille@debian.org>  Tue, 15 Sep 2020 09:50:29 +0200

bowtie (1.2.3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Switch to single threaded testing, add riscv64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 11 Jan 2020 12:14:53 +0100

bowtie (1.2.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * `make simple-test` in addition to our own tests
  * Remove obsolete fields Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Jan 2020 12:39:33 +0100

bowtie (1.2.3+dfsg-2) unstable; urgency=medium

  * Use python3 in (Build-)Depends in d/control
  * Use 2to3 to port scripts to python3, Closes: #936232

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 05 Sep 2019 17:49:44 +0200

bowtie (1.2.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix edam syntax input+output is singular

  [ Alexandre Mestiashvili ]
  * New upstream version 1.2.3+dfsg
  * Drop applied by upstream and refresh patches
  * Add strip_html5shiv.patch, removing condition loading html5shiv for old IEs
  * Update d/control, remove version from seqan-dev, bump Policy to 4.4.0
  * Switch to debhelper-compat, drop d/compat

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 11 Jul 2019 16:09:02 +0200

bowtie (1.2.2+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * spelling
  * Upload to unstable

  [ Dylan Aïssi ]
  * Update metadata: Add bio.tools ref

  [ Alexandre Mestiashvili ]
  * Add patch fixing FTBFS, thanks to ch4rr0 at github.com
    Closes: #906341
  * Check for DEB_BUILD_OPTIONS and nocheck

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 05 Sep 2018 14:34:56 +0000

bowtie (1.2.2+dfsg-3) unstable; urgency=medium

  * Fix watch file to not detect beta versions
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 17:59:29 +0200

bowtie (1.2.2+dfsg-2) unstable; urgency=medium

  * Update d/tests/run-unit-test
    -  export BOWTIE_INDEXES, Closes: #888844
    -  enable test for example9
  * Bump Standards-Version to 4.1.3 (No changes needed),
    set debhelper & d/compat to version 11

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 31 Jan 2018 14:04:41 +0100

bowtie (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.2~beta+dfsg
  * Refresh patches
  * New upstream version 1.2.2+dfsg
  * Refresh patches
  * Bump Standards-Version to 4.1.2
  * Update copyright, note license change to Artistic License 2.0

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 16 Dec 2017 19:17:18 +0100

bowtie (1.2.1.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Simplified d/watch
  * Build-Depends: zlib1g-dev

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Completed references to registries
    - yamllint cleanliness

  [ Alexandre Mestiashvili ]
  * Update d/copyright:
    - use https for Format field
    - link to versioned license
    - add .cvsignore to Files-Excluded list
    - add myself to debian/* section
  * Add myself to uploaders, bump Standards-Version
  * Rearrange patch headers (cme fix dpkg), update spelling.patch
  * Re-introduce no_hash_style_both_for_mips.patch fixing build on mips64el
    Closes: #864448
  * Update d/rules:
    - drop get-orig-source target
    - hardcode binary package name instead of using dpkg-parsechangelog
  * Disable unit tests for example6 and example9 as the output is different
    compared to older bowtie versions
  * Override lintian's warnings for binaries used with wrapper scripts

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 19 Oct 2017 20:35:11 +0200

bowtie (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - Threading with tbb
    - queue-based lock rather than spin/heavyweight lock
    - reduced thread synchronization
  * Added 'dfsg' to version because of removed seqan source tree
  * debian/upstream/metadata: Added RRID reference
  * debian/watch: Adjusted for new distribution via github
  * Team upload provided by new aspiring Debian Med member,
    sponsored by <moeller>

 -- Stephan Struckmann <stephan.struckmann@gmail.com>  Thu, 08 Jun 2017 15:24:17 +0200

bowtie (1.1.2-6) unstable; urgency=medium

  * Enable build on all 64bit architectures (thanks for the patch to James
    Cowgill <jcowgill@debian.org>)
    Closes: #840775

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2016 20:53:17 +0200

bowtie (1.1.2-5) unstable; urgency=medium

  * Team upload.
  * Make build reproducible again.
    - Remove build directory from recorded CFLAGS.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Sep 2016 10:13:36 +0000

bowtie (1.1.2-4) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Use fixed build hostname and compiler version.
  * Fix autopkgtest by adjusting directory.
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-Browser.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 25 May 2016 22:25:27 +0000

bowtie (1.1.2-3) unstable; urgency=medium

  * Enable building arch independent packages separately
    Closes: #806220
  * Fix clean target

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2015 22:38:02 +0100

bowtie (1.1.2-2) unstable; urgency=medium

  * Enable building on arm64 (Thanks for the patch to Edmund Grimley Evans)
    Closes: #800548
  * Remove inactive Uploader
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2015 09:47:23 +0200

bowtie (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * remove strange byte-compyled Python code bowtie-buildc (no idea how and
    why it was created)
  * Enabling ppc64el on Makefile and debian/control (Thanks for the patch to
    Fernando Seiti Furusato <ferseiti@br.ibm.com>)
    Closes: #788537

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 21:24:20 +0200

bowtie (1.1.1-2) unstable; urgency=high

  * Team upload.
  * Install missing commands.  Closes: #776881.

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2015 10:44:39 +0900

bowtie (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * Another patch to build with SeqAn 1.4 (Thanks to Gert Wollny)
  * Add Depends: python (also Build-Depends since it is used in tests)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 14:32:50 +0200

bowtie (1.0.1-3) unstable; urgency=medium

  * Drop all architectures except amd64 since there was no success
    in trying to port the code to other architectures.  The portability
    patch introduced in the last revision was droped again
  * debian/copyright: Drop unneeded copyright statements about code that
    was removed from upstream source

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 11:00:25 +0200

bowtie (1.0.1-2) unstable; urgency=medium

  * Do not use copy of outdated gcc header file which destroys portability
    to other architectures
    Closes: #756780
  * Add README.Debian informing users about the fact that we ignore copy
    of cpuid.h
  * Add unit tests for build time and autopkgtest
  * Add debian/README.test to explain how to test the package
    Attention: Please take notice of /usr/share/bowtie/README.Debian about
      "Test suite for bowtie created and potential issue with sorting"

 -- Andreas Tille <tille@debian.org>  Wed, 03 Sep 2014 09:50:22 +0200

bowtie (1.0.1-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * drop debian/get-orig-source but rather remove the SeqAn-1.1 code
    copy via Files-Excluded
  * debian/control: Priority: optional

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jul 2014 13:38:25 +0200

bowtie (1.0.0-6) unstable; urgency=low

  * debian/patches/seqan-popcount.patch: New patch. (Closes: #733398)
  * Version 1.4 of seqan-dev is required now.
  * Standards-Version: 3.9.5 (no changes needed).
  * Updated Vcs-Svn and Vcs-Browse fields as per Debian-Med policy.

 -- Ognyan Kulev <ogi@debian.org>  Sat, 08 Mar 2014 15:13:16 +0200

bowtie (1.0.0-5) unstable; urgency=low

  * Fixed (hopefully) FTBFS by using override_dh_fixperms-indep target
    instead of override_dh_fixperms in debian/rules.

 -- Ognyan Kulev <ogi@debian.org>  Thu, 30 May 2013 09:41:25 +0300

bowtie (1.0.0-4) unstable; urgency=low

  * Lintian fixes:
    - Removed DM-Upload-Allowed field.
    - Standards Version 3.9.4 (no changes needed).
    - Remove execute bits on some files in bowtie-examples.
  * Don't compress *.ebwt index files in bowtie-examples package.
  * Package description now starts with a capital letter.

 -- Ognyan Kulev <ogi@debian.org>  Wed, 29 May 2013 22:53:13 +0300

bowtie (1.0.0-3) unstable; urgency=low

  * New patch no_hash_style_both_for_mips.patch.
    This fixes build errors on mips and mipsel.

 -- Ognyan Kulev <ogi@debian.org>  Wed, 24 Apr 2013 15:15:37 +0300

bowtie (1.0.0-2) unstable; urgency=low

  * Requires version 1.3 of SeqAn.
  * Updated README.source about using Debian's SeqAn library.
  * Removed machine_bits_detection.patch and added disable_bits_flag.patch.

 -- Ognyan Kulev <ogi@debian.org>  Wed, 24 Apr 2013 10:49:47 +0300

bowtie (1.0.0-1) unstable; urgency=low

  * New upstream version. (Closes: #705616)
  * Refreshed patches: use_debian_seqan.patch, use-dpkg-buildflags.patch.
  * Removed patch gcc-4.7.patch (fixed upstream).
  * New patch machine_bits_detection.patch.
  * Added build dependancy on seqan-dev.
  * Activated use_debian_seqan.patch and added the following patches:
    - seqan-fix-setBegin-call.patch
    - seqan-rename-ChunkPool.patch
    - seqan-rename-fill-to-resize.patch
  * Added myself to Uploaders control field.

 -- Ognyan Kulev <ogi@debian.org>  Tue, 23 Apr 2013 16:43:49 +0300

bowtie (0.12.7-3) unstable; urgency=low

  * debian/patches/use-dpkg-buildflags.patch: Regard LDFLAGS/CPPFLAGS
    hardening flags (thanks for the patch to Simon Ruderich
    <simon@ruderich.org>)
    Closes: #670230

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2012 13:21:32 +0200

bowtie (0.12.7-2) unstable; urgency=low

  * Do not give a pointer to non existing info pages in manpages
  * debian/control:
     - fixed Vcs fields
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/upstream: Add citation information
  * debian/rules: calculate pkg name instead of setting it
  * debian/copyright: DEP5 verified using
     cme fix dpkg-copyright
  * debian/patches/gcc-4.7.patch: function "reverseInPlace" is declared after
    the function is used
    Thanks to Rodolfo García Peñas <kix@kix.es> and
    gregor herrmann <gregoa@debian.org>
    Closes: #667120
  * debhelper 9 (control+compat)
    Hardening flags were explicitly tested but not enforced in debian/rules

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 21:09:05 +0200

bowtie (0.12.7-1) unstable; urgency=low

  * Initial release (Closes: #604940)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Feb 2011 13:47:12 +0100
